Name:           kdevplatform
Summary:        Libraries for use by KDE development tools
Version:        0.9.95
Release:        0.3.beta5%{?alphatag}%{?dist}

Group:          Development/Tools
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/kdevelop/3.9.95/src/kdevplatform-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}

BuildRequires:  kdelibs-devel >= 4.2.0
BuildRequires:  pcre-devel
BuildRequires:  giflib-devel
BuildRequires:  boost-devel
BuildRequires:  subversion-devel
BuildRequires:  kdesdk-devel >= 4.2.85

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KDE Development platform, the foundations upon which
KDevelop and Quanta are built.


%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.


%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: boost-devel
Requires: subversion-devel
Requires: commoncpp2-devel
%description devel
%{summary}.


%prep
%setup -q -n kdevplatform-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%post libs -p /sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%postun libs -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING.PLUGINS COPYING.SRC
#{_kde4_bindir}/kdevteamwork_server
%{_kde4_datadir}/kde4/apps/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_iconsdir}/hicolor/*/*/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*

%files devel
%defattr(-,root,root,-)
%{_kde4_datadir}/kde4/apps/cmake/modules/FindKDevPlatform.cmake
%{_kde4_libdir}/lib*.so
%{_kde4_includedir}/kdevplatform/
%{_kde4_libdir}/cmake/kdevplatform/*.cmake


%changelog
* Tue Sep 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.3.beta5
- Use official release

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.2
- Add icon scriptlets

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.1
- Update tarball

* Fri May 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.93-0.1
- 1.0 Beta 3

* Sat Feb 21 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.91-0.2.20090221svn929301
- Post KDevplatform 1.0 Beta 1 snapshot

* Fri Jan 09 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.85-1
- 0.9.85 snapshot
